MASS-BUG.FR(1)

NOM
mass-bug - Soumettre en masse un rapport de bogue contre une liste de paquets

SYNOPSIS
mass-bug [options] --subject="sujet du bogue" modèle liste-des-paquets

DESCRIPTION
mass-bug aide à soumettre un rapport de bogue en masse dans le BTS de Debian, sur un ensemble de paquets. Pour chaque paquet dans le fichier liste-des-paquets (qui doit lister un paquet par ligne, avec un numéro de version optionnel séparé du paquet par un tiret-bas), cette commande récupère le modèle, ajoute les pseudo-en-têtes du BTS, et affiche ou envoie le rapport de bogue.

Attention : il faut être prudent pour éviter des erreurs déplaisantes et habituelles, mais il s'agit toujours d'un outil puissant qui peut produire un grand nombre de messages pour un rapport de bogue. Utilisez-le avec précautions, et lisez d'abord la documentation dans la référence du développeur sur l'envoi de rapports de bogue en masse.

MODÈLE
Le fichier modèle représente le corps du message qui sera envoyé pour chaque rapport de bogue, sans les pseudo-en-têtes du BTS. Dans le modèle, #PACKAGE# est remplacé par le nom du paquet. Si une version a été indiquée pour le paquet, #VERSION# sera remplacé par cette version.

Les différentes parties du numéro de version peuvent être indiquées en utilisant #EPOCH#, #UPSTREAM_VERSION# et #REVISION#. #EPOCH# contient le ":" de fin et #REVISION# contient le tiret de début, de telle sorte que #EPOCH##UPSTREAM_VERSION##REVISION# est toujours identique à #VERSION#.

Remarquez que le texte dans le modèle sera automatiquement ajusté à 70 colonnes par ligne, jusqu'au début de la signature (indiqué par une ligne commençant par la chaîne '-- '). C'est une autre raison pour laquelle il faut éviter les pseudo-en-têtes dans les modèles.

OPTIONS
mass-bug examine les fichiers de configuration de devscripts comme décrit ci-dessous. Les options en ligne de commande permettent de remplacer les paramètres des fichiers de configuration.

--severity=(wishlist|minor|normal|important|serious|grave|critical)
    Indiquer la sévérité avec laquelle soumettre les bogues. Par défaut, normal est utilisé.

--display
    Complète les modèles pour chaque paquet et les affiche tous pour être vérifiés. C'est le comportement par défaut.

--send
    Envoie réellement les rapports de bogue.

--subject="sujet du bogue"
    Indiquer le sujet du rapport de bogue. Le sujet sera automatiquement préfixé par le nom du paquet contre lequel le bogue est soumis.

--tags
    Définir le pseudo-en-tête "tags" pour le BTS.

--user
    Définir le pseudo-en-tête définissant l'utilisateur des usertags pour le BTS.

--usertags
    Définir le pseudo-en-tête "usertags" pour le BTS.

--control=COMMAND
    Ajoute une commande de contrôle à BTS. Cette ooption peut être répétée pour ajouter de multiples commandes de contrôle. Par exemple, pour lancer de massifs "please stop depending on this deprecated package" et si le bogue 123456 pointe la suppression du paquet déprécié, on peut utiliser :

        mass-bug --control='block 123456 by -1' ...

--source
    Préciser que les noms de paquet se réfèrent à des paquets source et non pas à des paquets binaires.

--sendmail=COMMANDE_D_ENVOI_DE_MESSAGE
    Indiquer la commande utilisée pour envoyer le message. La commande sera découpée en fonction des espaces et ne sera pas passée à un interpréteur de commandes. Par défaut, c'est /usr/sbin/sendmail qui est utilisé.

--no-wrap
    Ne remet pas les lignes en forme à 70 caractères.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L'option ne peut être utilisée qu'en première position de la ligne de commande.

--help
    Afficher un message sur l'utilisation.

--version
    Afficher les informations sur la version.

ENVIRONNEMENT
DEBEMAIL et EMAIL peuvent être définis dans l'environnement pour contrôler l'adresse électronique utilisée pour envoyer les bogues.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont chargés dans cet ordre par un interpréteur de commandes pour définir les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les paramètres des variables d'environnement sont ignorés à cette fin. Les variables actuellement reconnues sont :

BTS_SENDMAIL_COMMAND
    Si elle est définie, elle indique la commande d'envoi de message à utiliser à la place de /usr/sbin/sendmail. Équivaut à l'option de ligne de commande --sendmail.

COPYRIGHT
Ce programme a été écrit par Joey Hess <joeyh@debian.org>, Copyright (C) 2006.

Il est publié sous les termes de la Licence Publique Générale (GPL) version 2 ou toute version ultérieure (à votre discrétion).

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021